Opened 3 years ago

Last modified 3 years ago

#4182 new enhancement

Unknown 16kb/s audio in Hikvision MPEG-PS recording

Reported by: cehoyos Owned by:
Priority: wish Component: undetermined
Version: git-master Keywords: mpegps
Cc: aslan Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

User sabkaraja uploaded a Hikvision recording for which H.264 video can be decoded with FFmpeg, audio fails. May be G.728, I was unable to find a modern, working decoder to test.
Bitrate is 16kb/s, packet size is 80 bytes.

$ ffmpeg -i Sample.mp4
ffmpeg version N-68392-geb72523 Copyright (c) 2000-2014 the FFmpeg developers
  built on Dec 12 2014 18:42:32 with gcc 4.7 (SUSE Linux)
  configuration: --enable-gpl --enable-libass
  libavutil      54. 15.100 / 54. 15.100
  libavcodec     56. 14.100 / 56. 14.100
  libavformat    56. 15.104 / 56. 15.104
  libavdevice    56.  3.100 / 56.  3.100
  libavfilter     5.  3.100 /  5.  3.100
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  1.100 /  1.  1.100
  libpostproc    53.  3.100 / 53.  3.100
[mp2 @ 0x1c091e0] Header missing
    Last message repeated 11 times
[mpeg @ 0x1c07ba0] decoding for stream 1 failed
[mpeg @ 0x1c07ba0] Could not find codec parameters for stream 1 (Audio: mp2, 0 channels, s16p): unspecified frame size
Consider increasing the value for the 'analyzeduration' and 'probesize' options
Input #0, mpeg, from 'Sample.mp4':
  Duration: 00:02:15.00, start: 52874.498178, bitrate: 266 kb/s
    Stream #0:0[0x1e0]: Video: h264 (Baseline), yuv420p, 352x288, 25 fps, 25 tbr, 90k tbn, 50 tbc
    Stream #0:1[0x1c0]: Audio: mp2, 0 channels, s16p
At least one output file must be specified

Change History (33)

comment:2 Changed 3 years ago by er.anshul.maheshwari@gmail.com

Hi cehoyos

permission denied to access the sample.mp4 file.

-Anshul

comment:3 follow-up: Changed 3 years ago by cehoyos

Fixed.

This unfortunately means that many files are impossible to access, will try to fix.

comment:4 Changed 3 years ago by aslan

Hi, cehoyos, I have encountered the same question.
Could you tell me how you fix it.
thanks!

comment:5 in reply to: ↑ 3 ; follow-up: Changed 3 years ago by aslan

Replying to cehoyos:

Fixed.

This unfortunately means that many files are impossible to access, will try to fix.

Hi, cehoyos, I have encountered the same question.
Could you tell me how you fix it.
thanks!

comment:6 in reply to: ↑ 5 ; follow-up: Changed 3 years ago by cehoyos

Replying to aslan:

Replying to cehoyos:

Fixed.

This unfortunately means that many files are impossible to access, will try to fix.

Hi, cehoyos, I have encountered the same question.

Works fine here:

$ wget http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
--2015-03-29 11:02:37--  http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
Resolving samples.ffmpeg.org (samples.ffmpeg.org)... 192.190.173.55
Connecting to samples.ffmpeg.org (samples.ffmpeg.org)|192.190.173.55|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4498068 (4.3M) [video/mp4]
Saving to: `Sample.mp4'

100%[===================================================>] 4,498,068   2.68M/s   in 1.6s

2015-03-29 11:02:39 (2.68 MB/s) - `Sample.mp4' saved [4498068/4498068]

Can you access other samples?

comment:7 in reply to: ↑ 6 ; follow-up: Changed 3 years ago by aslan

Replying to cehoyos:

Replying to aslan:

Replying to cehoyos:

Fixed.

This unfortunately means that many files are impossible to access, will try to fix.

Hi, cehoyos, I have encountered the same question.

Works fine here:

$ wget http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
--2015-03-29 11:02:37--  http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
Resolving samples.ffmpeg.org (samples.ffmpeg.org)... 192.190.173.55
Connecting to samples.ffmpeg.org (samples.ffmpeg.org)|192.190.173.55|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4498068 (4.3M) [video/mp4]
Saving to: `Sample.mp4'

100%[===================================================>] 4,498,068   2.68M/s   in 1.6s

2015-03-29 11:02:39 (2.68 MB/s) - `Sample.mp4' saved [4498068/4498068]

Can you access other samples?

Hi, I can't access the mp4 file. Could you tell me how to make the audio right?

comment:8 in reply to: ↑ 7 ; follow-up: Changed 3 years ago by cehoyos

Replying to aslan:

Replying to cehoyos:

Works fine here:

$ wget http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
--2015-03-29 11:02:37--  http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
Resolving samples.ffmpeg.org (samples.ffmpeg.org)... 192.190.173.55
Connecting to samples.ffmpeg.org (samples.ffmpeg.org)|192.190.173.55|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4498068 (4.3M) [video/mp4]
Saving to: `Sample.mp4'

100%[===================================================>] 4,498,068   2.68M/s   in 1.6s

2015-03-29 11:02:39 (2.68 MB/s) - `Sample.mp4' saved [4498068/4498068]

Can you access other samples?

Hi, I can't access the mp4 file.

How does the output of the following command look for you?

$ wget http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4

comment:9 in reply to: ↑ 8 Changed 3 years ago by aslan

Replying to cehoyos:

Replying to aslan:

Replying to cehoyos:

Works fine here:

$ wget http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
--2015-03-29 11:02:37--  http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
Resolving samples.ffmpeg.org (samples.ffmpeg.org)... 192.190.173.55
Connecting to samples.ffmpeg.org (samples.ffmpeg.org)|192.190.173.55|:80... connected.
HTTP request sent, awaiting response... 200 OK

Aslans-MacBook-Pro:wget-1.14 aslan$ wget http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
--2015-03-30 22:04:04-- http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4
Resolving samples.ffmpeg.org... 192.190.173.55
Connecting to samples.ffmpeg.org|192.190.173.55|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4498068 (4.3M) [video/mp4]
Saving to: ‘Sample.mp4’

63% [=================================================> ] 2,873,467 35.2KB/s eta 39s
100%[==============================================================================>] 4,498,068 32.5KB/s in 2m 5s

2015-03-30 22:06:12 (35.2 KB/s) - ‘Sample.mp4’ saved [4498068/4498068]

Length: 4498068 (4.3M) [video/mp4]
Saving to: `Sample.mp4'

100%[===================================================>] 4,498,068 2.68M/s in 1.6s

2015-03-29 11:02:39 (2.68 MB/s) - `Sample.mp4' saved [4498068/4498068]
}}}
Can you access other samples?

Hi, I can't access the mp4 file.

How does the output of the following command look for you?

$ wget http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket4182/Sample.mp4

comment:10 follow-ups: Changed 3 years ago by cehoyos

Thank you for clarifying that this was fixed!

comment:11 in reply to: ↑ 10 Changed 3 years ago by aslan

But I can't play the mp4

Replying to cehoyos:

Thank you for clarifying that this was fixed!

comment:12 follow-up: Changed 3 years ago by cehoyos

You don't see a "Big Story" logo when playing the file?

comment:13 in reply to: ↑ 10 Changed 3 years ago by aslan

Replying to cehoyos:

Thank you for clarifying that this was fixed!

Could you give me your email address ?

comment:14 in reply to: ↑ 12 ; follow-up: Changed 3 years ago by aslan

Replying to cehoyos:

You don't see a "Big Story" logo when playing the file?

No, I can't play it with QuickTime?

comment:15 in reply to: ↑ 14 ; follow-ups: Changed 3 years ago by cehoyos

Replying to aslan:

Replying to cehoyos:

You don't see a "Big Story" logo when playing the file?

No, I can't play it with QuickTime?

I don't think the file was meant to be played with QuickTime? but in any case this is the FFmpeg bug tracker, I believe you have to report QT issues somewhere else.
I tested FFmpeg and MPlayer, both show the video successfully.

comment:16 in reply to: ↑ 15 Changed 3 years ago by aslan

Replying to cehoyos:

Replying to aslan:

Replying to cehoyos:

You don't see a "Big Story" logo when playing the file?

No, I can't play it with QuickTime?

I don't think the file was meant to be played with QuickTime? but in any case this is the FFmpeg bug tracker, I believe you have to report QT issues somewhere else.
I tested FFmpeg and MPlayer, both show the video successfully.

This is my isuue:

I use Hikvison to record video, but when I use the command line:

d:\wnmp\videoTools\ffmpeg.exe -i 20150327215559_ch01.mp4 -vcodec copy -acodec copy ab.mp4

the it output :

missing header.....

like what you paste on the subject

comment:17 in reply to: ↑ 15 Changed 3 years ago by aslan

Replying to cehoyos:

Replying to aslan:

Replying to cehoyos:

You don't see a "Big Story" logo when playing the file?

No, I can't play it with QuickTime?

I don't think the file was meant to be played with QuickTime? but in any case this is the FFmpeg bug tracker, I believe you have to report QT issues somewhere else.
I tested FFmpeg and MPlayer, both show the video successfully.

This is my isuue:

I use Hikvison to record video, but when I use the command line:

d:\wnmp\videoTools\ffmpeg.exe -i 20150327215559_ch01.mp4 -vcodec copy -acodec copy ab.mp4

then it output :

missing header.....

like what you paste on the subject

comment:18 follow-up: Changed 3 years ago by cehoyos

Where can I find the sample?

comment:19 in reply to: ↑ 18 Changed 3 years ago by aslan

Replying to cehoyos:

Where can I find the sample?

Could you give me your email address?

comment:20 follow-up: Changed 3 years ago by cehoyos

Please upload your sample to http://www.datafilehost.com/ or read https://ffmpeg.org/bugreports.html (there is no filesize limit).
You will easily find my email address either in git, the FFmpeg homepage or using Google but if you send me the sample, I will upload it.

comment:21 in reply to: ↑ 20 Changed 3 years ago by aslan

Replying to cehoyos:

Please upload your sample to http://www.datafilehost.com/ or read https://ffmpeg.org/bugreports.html (there is no filesize limit).
You will easily find my email address either in git, the FFmpeg homepage or using Google but if you send me the sample, I will upload it.

my samle here: http://www.datafilehost.com/d/11fc2a69

comment:22 follow-up: Changed 3 years ago by cehoyos

Thank you for the sample. What is the name of your camera?

comment:23 Changed 3 years ago by aslan

DS-2CD4012FWD-SDI

comment:24 in reply to: ↑ 22 Changed 3 years ago by aslan

Replying to cehoyos:

Thank you for the sample. What is the name of your camera?

DS-2CD4012FWD-SDI

comment:25 follow-up: Changed 3 years ago by cehoyos

Could you provide samples with different audio codecs?
Reading the manual, there should be an Audio Settings Interface when you select "Configuration" >
"Video / Audio" > "Audio" in the camera interface. Could you provide samples for all audio encodings (should be "G.711 ulaw", "G.711alaw", "G.726" and "MP2L2")?

Audio in the sample you provided will be fixed soon: It contains AAC audio.

Last edited 3 years ago by cehoyos (previous) (diff)

comment:26 in reply to: ↑ 25 ; follow-up: Changed 3 years ago by aslan

Replying to cehoyos:

Could you provide samples with different audio codecs?
Reading the manual, there should be an Audio Settings Interface when you select "Configuration" >
"Video / Audio" > "Audio" in the camera interface. Could you provide samples for all audio encodings (should be "G.711 ulaw", "G.711alaw", "G.726" and "MP2L2")?

Audio in the sample you provided will be fixed soon: It contains AAC audio.

I have tried all the audio encodings, It also not right.

comment:27 in reply to: ↑ 26 ; follow-up: Changed 3 years ago by cehoyos

  • Cc aslan added

Replying to aslan:

Replying to cehoyos:

Could you provide samples with different audio codecs?
Reading the manual, there should be an Audio Settings Interface when you select "Configuration" >
"Video / Audio" > "Audio" in the camera interface. Could you provide samples for all audio encodings (should be "G.711 ulaw", "G.711alaw", "G.726" and "MP2L2")?

Audio in the sample you provided will be fixed soon: It contains AAC audio.

I have tried all the audio encodings, It also not right.

Please provide samples for all the audio encodings, I will fix them.

comment:28 in reply to: ↑ 27 ; follow-up: Changed 3 years ago by aslan

Replying to cehoyos:

Replying to aslan:

Replying to cehoyos:

Could you provide samples with different audio codecs?
Reading the manual, there should be an Audio Settings Interface when you select "Configuration" >
"Video / Audio" > "Audio" in the camera interface. Could you provide samples for all audio encodings (should be "G.711 ulaw", "G.711alaw", "G.726" and "MP2L2")?

Audio in the sample you provided will be fixed soon: It contains AAC audio.

I have tried all the audio encodings, It also not right.

Please provide samples for all the audio encodings, I will fix them.

Sorry, I just have G.711alaw now, the sample is here: http://www.datafilehost.com/d/8c02ecd3
Thank you.

comment:29 in reply to: ↑ 28 ; follow-up: Changed 3 years ago by cehoyos

Replying to aslan:

Sorry, I just have G.711alaw now, the sample is here: http://www.datafilehost.com/d/8c02ecd3

Great, thank you!

Could you also produce samples with the other audio encodings?

comment:30 in reply to: ↑ 29 Changed 3 years ago by aslan

Replying to cehoyos:

Replying to aslan:

Sorry, I just have G.711alaw now, the sample is here: http://www.datafilehost.com/d/8c02ecd3

Great, thank you!

Could you also produce samples with the other audio encodings?

Sorry, I have no devices now, So I can't produce samples more.

comment:31 Changed 3 years ago by aslan

Hi, Could you tell me when it will be fixed?

comment:32 follow-up: Changed 3 years ago by cehoyos

The samples you uploaded should be fixed since f8413f74a1847db161a3443b1740b2659cd48753 and 036079ce34311547be5940c5d856db5498fae029
More unsupported samples, particularly G.726 are very welcome!

comment:33 in reply to: ↑ 32 Changed 3 years ago by aslan

Replying to cehoyos:

The samples you uploaded should be fixed since f8413f74a1847db161a3443b1740b2659cd48753 and 036079ce34311547be5940c5d856db5498fae029
More unsupported samples, particularly G.726 are very welcome!

It's great!

Where Can I download the latest build ?

Note: See TracTickets for help on using tickets.